summaryrefslogtreecommitdiffstats
path: root/scripts/deptest.sh
diff options
context:
space:
mode:
authorMichael Büsch <mb@bu3sch.de>2010-11-02 22:48:29 +0000
committerMichael Büsch <mb@bu3sch.de>2010-11-02 22:48:29 +0000
commit0cacb5855d376f5f10cf2bc2951d240485025e82 (patch)
treeddcea1301fcd2fdb496fff00b0d05230c2abec7e /scripts/deptest.sh
parent0f21452ff8082dd4a074bda343fab1db14853d04 (diff)
downloadmaster-31e0f0ae-0cacb5855d376f5f10cf2bc2951d240485025e82.tar.gz
master-31e0f0ae-0cacb5855d376f5f10cf2bc2951d240485025e82.tar.bz2
master-31e0f0ae-0cacb5855d376f5f10cf2bc2951d240485025e82.zip
deptest: Also make sure the toolchain is built in the initialization step. This makes it possible to run the script from within a fresh tree.
SVN-Revision: 23806
Diffstat (limited to 'scripts/deptest.sh')
-rwxr-xr-xscripts/deptest.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/scripts/deptest.sh b/scripts/deptest.sh
index 3ce4291b31..b82ac46587 100755
--- a/scripts/deptest.sh
+++ b/scripts/deptest.sh
@@ -12,13 +12,17 @@ LOG_DIR="$DIR/logs"
mkdir -p "$STAMP_DIR_SUCCESS" "$STAMP_DIR_FAILED" "$BUILD_DIR" "$LOG_DIR"
+die()
+{
+ echo "$@"
+ exit 1
+}
+
[ -d "$STAGING_DIR_HOST_TMPL" ] || {
rm -rf staging_dir/host
- make tools/install V=99 || {
- echo "make tools/install failed, please check"
- exit 1
- }
+ make tools/install V=99 || die "make tools/install failed, please check"
cp -al staging_dir/host "$STAGING_DIR_HOST_TMPL"
+ make toolchain/install V=99 || die "make toolchain/install failed, please check"
}
for pkg in `cat tmp/.packagedeps | grep CONFIG_PACKAGE | grep -v curdir | sed -e 's,.*[/=]\s*,,' | sort -u`; do